# Record Class CJ1TypePackageSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1TypePackageSearchParameters

All Implemented Interfaces:
  `CJ1ValueType`

@JsonClassDescription("Parameters to search for type packages.") public record CJ1TypePackageSearchParameters(CJ1ComparisonFuzzyType<String> descriptionMatch, long pageSize) extends Record implements CJ1ValueType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1TypePackageSearchParameters(CJ1ComparisonFuzzyType<String> descriptionMatch, long pageSize)`
  Creates an instance of a `CJ1TypePackageSearchParameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CJ1ComparisonFuzzyType<String>`
  `descriptionMatch()`
  Returns the value of the `descriptionMatch` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `pageSize()`
  Returns the value of the `pageSize` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1TypePackageSearchParameters

    public CJ1TypePackageSearchParameters(@JsonPropertyDescription("Include packages with descriptions matching the given expression.") CJ1ComparisonFuzzyType<String> descriptionMatch, @JsonPropertyDescription("The maximum number of results per page.") long pageSize)
    Creates an instance of a `CJ1TypePackageSearchParameters` record class.
    Parameters:
      `descriptionMatch` - the value for the `descriptionMatch` record component
      `pageSize` - the value for the `pageSize` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### descriptionMatch

    @JsonPropertyDescription("Include packages with descriptions matching the given expression.") public CJ1ComparisonFuzzyType<String> descriptionMatch()
    Returns the value of the `descriptionMatch` record component.
    Returns:
      the value of the `descriptionMatch` record component

  - ### pageSize

    @JsonPropertyDescription("The maximum number of results per page.") public long pageSize()
    Returns the value of the `pageSize` record component.
    Returns:
      the value of the `pageSize` record component